--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Returns the display name of this address. The display name is present only for &quot;angle addr&quot; style addresses such as:"
- !ruby/struct:SM::Flow::VERB 
  body: "  John Doe &lt;johnd@example.net&gt;\n"
- !ruby/struct:SM::Flow::P 
  body: "In this case, the display name will be &quot;John Doe&quot;. In particular this old style address has no display name:"
- !ruby/struct:SM::Flow::VERB 
  body: "  bobs@example.net (Bob Smith)\n"
- !ruby/struct:SM::Flow::P 
  body: "See also display_name=, #name"
full_name: RMail::Address#display_name
is_singleton: false
name: display_name
params: ()
visibility: public
